Download it now!
Bug 94631 - Chinese font name does not display well in font lists when the Language of UI is not Chinese
Summary: Chinese font name does not display well in font lists when the Language of UI...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.0.2.2 release
Hardware: x86-64 (AMD64) Windows (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: CJK
  Show dependency treegraph
 
Reported: 2015-09-30 03:55 UTC by cyanshrike
Modified: 2020-05-24 03:10 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Chinse font name error (20.66 KB, image/png)
2015-10-02 22:46 UTC, cyanshrike
Details
Chinese font name correctness (25.79 KB, image/png)
2015-10-02 22:53 UTC, cyanshrike
Details
Windows system locale (16.18 KB, image/png)
2015-10-02 22:55 UTC, cyanshrike
Details

Note You need to log in before you can comment on or make changes to this bug.
Description cyanshrike 2015-09-30 03:55:18 UTC
I found the issue after update Libreoffice to 5.0.2.2 from 5.0.1.2.

I am not sure whether the issue also exists in other CJK environments.

Steps to reproduce:
1. The system locale of Windows 7 is Chinese (Traditional, Taiwan) but the Display language is English.
2. Please make sure you have the PMingLiU Chinese font. (e.g. PMingLiU Regular)
3. Set Language of User Interface to English (USA). Then restart Libreoffice.
4. Open Writer (or Calc), which has Formatting toolbar.
5. In the Font lists, you can see a blank item which should be '新細明體'. (You could see more blank items if you have other Chinese Fonts)

Compare:
1. Set Language of User Interface to Chinese (traditional). Then restart Libreoffice.
2. Open Writer (or Calc), which has Formatting toolbar.
3. In the Font lists, you can see a '新細明體' item.
Comment 1 Buovjaga 2015-10-02 12:54:09 UTC
Could not reproduce.
Can you include a screenshot?

Win 7 Pro 64-bit, Version: 5.0.2.2 (x64)
Build ID: 37b43f919e4de5eeaca9b9755ed688758a8251fe
Locale: fi-FI (fi_FI)
Comment 2 cyanshrike 2015-10-02 22:46:29 UTC
Created attachment 119215 [details]
Chinse font name error
Comment 3 cyanshrike 2015-10-02 22:53:38 UTC
Created attachment 119216 [details]
Chinese font name correctness
Comment 4 cyanshrike 2015-10-02 22:55:23 UTC
Created attachment 119217 [details]
Windows system locale
Comment 5 cyanshrike 2015-10-02 22:57:54 UTC
I think that the key is the system locale of Windows 7 must be "Chinese (Traditional, Taiwan)".

I also reproduce the issue on a new copy of Windows 7 Pro 32-bit with VirtualBOX.
Comment 6 Buovjaga 2015-10-03 14:23:54 UTC
(In reply to cyanshrike from comment #5)
> I think that the key is the system locale of Windows 7 must be "Chinese
> (Traditional, Taiwan)".
> 
> I also reproduce the issue on a new copy of Windows 7 Pro 32-bit with
> VirtualBOX.

I did test it with Taiwanese locale.
Comment 7 Buovjaga 2015-10-03 14:25:58 UTC
(In reply to Beluga from comment #6)
> (In reply to cyanshrike from comment #5)
> > I think that the key is the system locale of Windows 7 must be "Chinese
> > (Traditional, Taiwan)".
> > 
> > I also reproduce the issue on a new copy of Windows 7 Pro 32-bit with
> > VirtualBOX.
> 
> I did test it with Taiwanese locale.

Oops, I actually didn't, changed the wrong setting.. but I don't want to reboot now just because of it. Maybe later.
Comment 8 Buovjaga 2015-10-04 16:10:43 UTC
Ok, I could repro with Taiwanese locale!

Win 7 Pro 64-bit, Version: 5.0.2.2 (x64)
Build ID: 37b43f919e4de5eeaca9b9755ed688758a8251fe
Locale: fi-FI (fi_FI)
Comment 9 Jerry Shi 2015-12-23 13:32:32 UTC
Any updates on the bug?

I have the same problem. On two computers with Windows 10 (1511), one can show Chinese font names and the other does not. The one that can show has Microsoft office 2013 installed.

The configuration of the computer that has problems are:

OS: Windows 10 Pro (with 1511 udpates)
Libreoffice version: 5.0.3 (updated to the latest)
The system locale is English, 
The encoding for non-unicode program is Chinese simplified.

Thanks.
Comment 10 QA Administrators 2017-01-03 19:58:04 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.6 or 5.2.3  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170103